iSpriteAction Struct Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
iSpriteAction Struct Reference
Mesh plugins

An action frameset for 3D sprite animation. More...

`#include <imesh/sprite3d.h>`

Inheritance diagram for iSpriteAction:

List of all members.

## Public Member Functions
virtual void | AddFrame (iSpriteFrame *frame, int delay, float displacement)=0
| Add a frame to this action.
virtual iSpriteFrame * | GetFrame (int f)=0
| Get the specified frame.
virtual int | GetFrameCount ()=0
| Get the number of frames in this action.
virtual int | GetFrameDelay (int f)=0
| Get the delay for the specified frame.
virtual float | GetFrameDisplacement (int f)=0
| Get the displacement for the specified frame.
virtual char const * | GetName () const =0
| Get the name.
virtual iSpriteFrame * | GetNextFrame (int f)=0
| Get the next frame after the specified one.
virtual void | SetName (char const *)=0
| Set the name.

## Detailed Description

An action frameset for 3D sprite animation.

Definition at line 107 of file sprite3d.h.

## Member Function Documentation

virtual void iSpriteAction::AddFrame | ( | iSpriteFrame * | frame,
|  | int | delay,
|  | float | displacement
| ) |  | `[pure virtual]`

Add a frame to this action.

virtual iSpriteFrame* iSpriteAction::GetFrame | ( | int | f | ) | `[pure virtual]`

Get the specified frame.

virtual int iSpriteAction::GetFrameCount | ( |  | ) | `[pure virtual]`

Get the number of frames in this action.

virtual int iSpriteAction::GetFrameDelay | ( | int | f | ) | `[pure virtual]`

Get the delay for the specified frame.

virtual float iSpriteAction::GetFrameDisplacement | ( | int | f | ) | `[pure virtual]`

Get the displacement for the specified frame.

virtual char const* iSpriteAction::GetName | ( |  | ) | const`[pure virtual]`

Get the name.

virtual iSpriteFrame* iSpriteAction::GetNextFrame | ( | int | f | ) | `[pure virtual]`

Get the next frame after the specified one.

virtual void iSpriteAction::SetName | ( | char const * |  | ) | `[pure virtual]`

Set the name.

The documentation for this struct was generated from the following file:

- imesh/sprite3d.h